import { ElementRef, OnDestroy, OnInit, EventEmitter, TemplateRef, OnChanges, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Plugin } from 'prosemirror-state';
import { EditorView } from 'prosemirror-view';
import { NgxEditorService, NgxEditorServiceConfig } from './editor.service';
export declare class NgxEditorComponent implements ControlValueAccessor, OnInit, OnDestroy, OnChanges {
    private ngxEditorService;
    ngxEditor: ElementRef;
    view: EditorView;
    private onChange;
    private onTouched;
    config: NgxEditorServiceConfig;
    customMenuRef: TemplateRef<any>;
    placeholder: string;
    init: EventEmitter<EditorView<any>>;
    focusOut: EventEmitter<void>;
    focusIn: EventEmitter<void>;
    private editorInitialized;
    constructor(ngxEditorService: NgxEditorService);
    writeValue(value: object | null): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    private parseDoc;
    private updateContent;
    private handleTransactions;
    onEditorUpdate: (view: EditorView) => void;
    createUpdateWatcherPlugin(): Plugin;
    createEditor(): void;
    setPlaceholder(newPlaceholder?: string): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
}
