import { TemplateRef } from '@angular/core';
import { Schema } from 'prosemirror-model';
import { EditorView } from 'prosemirror-view';
import { Plugin } from 'prosemirror-state';
import { Subject } from 'rxjs';
import { NgxEditorConfig, NodeViews, Toolbar } from './types';
import Locals from './Locals';
export declare class NgxEditorServiceConfig {
    plugins: Plugin[];
    nodeViews: NodeViews;
    schema: Schema;
    menu: Toolbar;
    locals: {};
}
export declare class NgxEditorService {
    #private;
    config: NgxEditorServiceConfig;
    customMenuRefChange: Subject<TemplateRef<any>>;
    editorUpdate: Subject<EditorView>;
    constructor(config?: NgxEditorServiceConfig);
    get locals(): Locals;
    set view(v: EditorView);
    get view(): EditorView;
    setCustomMenuRef(c: TemplateRef<any>): void;
    dispatchEditorUpdate(view: EditorView): void;
}
export declare function provideMyServiceOptions(config?: NgxEditorConfig): NgxEditorServiceConfig;
